public class MainContainer{

    public static void main(String[] args) {

        Container origin = Container.withCapacity(10); // récipient vide par défaut
        origin.fillToTheMax(); // remplissage
        Container destination1 = new Container(5); // idem que Container.withCapacity(5);
        destination1.fillWith(2);
        Container destination2 = Container.withCapacity(3);
        Container destination3 = Container.withCapacity(10);
        origin.fillTo(destination1, destination2, destination3);
        assert destination1.isFull() ;
        assert destination2.isFull() ;
        assert destination2.remaining() == 0 ;
        destination2.remove(2);
        assert destination2.remaining() == 2 : " remain more or less than 2"; 
        assert !destination3.isFull() ;
        assert destination3.quantity() == 4;
        destination3.flush();
        assert destination3.quantity() == 0;
    }
}
        
