public class DynArray {

    public static int[] append(int[] values, int value) {
        int[] result = new int[values.length+1];
        result[0] = value;
        for (int i = 0; i < values.length; i += 1) {
            result[i+1] = values[i];
        }
        return result;
    }
    public static int head(int[] values) {
        return values[0];
    }
    public static int[] pop(int[] values) {
        int[] result = new int[values.length-1];
        for (int i = 0; i < result.length; i += 1) {
            result[i] = values[i+1];
        }
        return result;
    }
    public static int[] concat(int[] is, int[] js) { 
        for (int i = is.length-1; i >= 0; i -= 1) {
            js = append(js, is[i]);
        }
        return js;
    }


    public static void main(String[] args) {
        int[] is = {1, 2, 2, -1, 5}; 
        int[] is2 = append(is, 10);
        // is2 = {10, 1, 2, 2, -1, 5}; 
        int j = head(is2);
        // j = 10
        int[] tail = pop(is2);
        // tail = {1, 2, 2, -1, 5};
        int[] result = concat(is, new int[]{4,3,2}); 
        // result = {1, 2, 2, -1, 5, 4, 3, 2}
    }

}